REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single RadiusServer record by its Id.
{ "BusinessId": 123, "Name": "<string>", "Vendor": 123, "Active": true, "Description": "<string>", "CustomerId": "<string>", "NetworkId": "<string>", "CaptivePortalId": "<string>", "SplashPageId": "<string>", "RadiusIp1": "<string>", "RadiusIp2": "<string>", "AccountPort": "<string>", "AuthPort": "<string>", "SharedSecret": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
RadiusServer-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/radiusservers/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "Name": "", "Vendor": 0, "Active": false, "Description": null, "CustomerId": null, "NetworkId": null, "CaptivePortalId": null, "SplashPageId": null, "RadiusIp1": null, "RadiusIp2": null, "AccountPort": null, "AuthPort": null, "SharedSecret": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "RadiusServer Example", "LocalizationDetails": null, "CustomFields": null }